メインコンテンツへスキップ
POST
/
v1
/
responses
Create a Model Response
curl --request POST \
  --url https://aihubmix.com/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "top_logprobs": 10,
  "text": {
    "format": {},
    "verbosity": "medium"
  },
  "tools": [
    {
      "type": "function",
      "name": "<string>",
      "parameters": {},
      "strict": true,
      "description": "<string>",
      "defer_loading": true
    }
  ],
  "input": "<string>"
}
'
{
  "id": "resp_67ccd3a9da748190baa7f1570fe91ac604becb25c45c1d41",
  "object": "response",
  "created_at": 1741476777,
  "status": "completed",
  "completed_at": 1741476778,
  "error": null,
  "incomplete_details": null,
  "instructions": null,
  "max_output_tokens": null,
  "model": "gpt-4o-2024-08-06",
  "output": [
    {
      "type": "message",
      "id": "msg_67ccd3acc8d48190a77525dc6de64b4104becb25c45c1d41",
      "status": "completed",
      "role": "assistant",
      "content": [
        {
          "type": "output_text",
          "text": "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",
          "annotations": []
        }
      ]
    }
  ],
  "parallel_tool_calls": true,
  "previous_response_id": null,
  "reasoning": {
    "effort": null,
    "summary": null
  },
  "store": true,
  "temperature": 1,
  "text": {
    "format": {
      "type": "text"
    }
  },
  "tool_choice": "auto",
  "tools": [],
  "top_p": 1,
  "truncation": "disabled",
  "usage": {
    "input_tokens": 328,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens": 52,
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "total_tokens": 380
  },
  "user": null,
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Gateway-issued API key, formatted as sk-gateway-xxxxxxxx. Used by OpenAI-shaped endpoints (/v1/chat/completions, etc.).

ボディ

application/json
metadata
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

top_logprobs
integer

An integer between 0 and 20 specifying the maximum number of most likely tokens to return at each token position, each with an associated log probability. In some cases, the number of returned tokens may be fewer than requested.

必須範囲: 0 <= x <= 20
temperature
number | null
デフォルト:1

What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. We generally recommend altering this or top_p but not both.

必須範囲: 0 <= x <= 2
:

1

top_p
number | null
デフォルト:1

An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.

We generally recommend altering this or temperature but not both.

必須範囲: 0 <= x <= 1
:

1

user
string
非推奨

This field is being replaced by safety_identifier and prompt_cache_key. Use prompt_cache_key instead to maintain caching optimizations. A stable identifier for your end-users. Used to boost cache hit rates by better bucketing similar requests and to help OpenAI detect and prevent abuse. Learn more.

:

"user-1234"

safety_identifier
string

A stable identifier used to help detect users of your application that may be violating OpenAI's usage policies. The IDs should be a string that uniquely identifies each user, with a maximum length of 64 characters. We recommend hashing their username or email address, in order to avoid sending us any identifying information. Learn more.

Maximum string length: 64
:

"safety-identifier-1234"

prompt_cache_key
string

Used by OpenAI to cache responses for similar requests to optimize your cache hit rates. Replaces the user field. Learn more.

:

"prompt-cache-key-1234"

service_tier
enum<string> | null
デフォルト:auto

Specifies the processing type used for serving the request.

  • If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
  • If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
  • If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
  • When not set, the default behavior is 'auto'.

When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.

利用可能なオプション:
auto,
default,
flex,
scale,
priority
prompt_cache_retention
enum<string> | null

The retention policy for the prompt cache. Set to 24h to enable extended prompt caching, which keeps cached prefixes active for longer, up to a maximum of 24 hours. Learn more.

利用可能なオプション:
in_memory,
24h
previous_response_id
string | null

The unique ID of the previous response to the model. Use this to create multi-turn conversations. Learn more about conversation state. Cannot be used in conjunction with conversation.

model

Model ID used to generate the response, like gpt-4o or o3. OpenAI offers a wide range of models with different capabilities, performance characteristics, and price points. Refer to the model guide to browse and compare available models.

:

"gpt-5.1"

reasoning
Reasoning · object

gpt-5 and o-series models only

Configuration options for reasoning models.

background
boolean | null
デフォルト:false

Whether to run the model response in the background. Learn more.

max_tool_calls
integer | null

The maximum number of total calls to built-in tools that can be processed in a response. This maximum number applies across all built-in tool calls, not per individual tool. Any further attempts to call a tool by the model will be ignored.

text
object

Configuration options for a text response from the model. Can be plain text or structured JSON data. Learn more:

tools
(Function · object | File search · object | Computer · object | Computer use preview · object | Web search · object | MCP tool · object | Code interpreter · object | Image generation tool · object | Local shell tool · object | Shell tool · object | Custom tool · object | Namespace · object | Tool search tool · object | Web search preview · object | Apply patch tool · object)[]

An array of tools the model may call while generating a response. You can specify which tool to use by setting the tool_choice parameter.

We support the following categories of tools:

  • Built-in tools: Tools that are provided by OpenAI that extend the model's capabilities, like web search or file search. Learn more about built-in tools.
  • MCP Tools: Integrations with third-party systems via custom MCP servers or predefined connectors such as Google Drive and SharePoint. Learn more about MCP Tools.
  • Function calls (custom tools): Functions that are defined by you, enabling the model to call your own code with strongly typed arguments and outputs. Learn more about function calling. You can also use custom tools to call your own code.

A tool that can be used to generate a response.

tool_choice

How the model should select which tool (or tools) to use when generating a response. See the tools parameter to see how to specify which tools the model can call.

利用可能なオプション:
none,
auto,
required
prompt
object

Reference to a prompt template and its variables. Learn more.

truncation
enum<string> | null
デフォルト:disabled

The truncation strategy to use for the model response.

  • auto: If the input to this Response exceeds the model's context window size, the model will truncate the response to fit the context window by dropping items from the beginning of the conversation.
  • disabled (default): If the input size will exceed the context window size for a model, the request will fail with a 400 error.
利用可能なオプション:
auto,
disabled
input

Text, image, or file inputs to the model, used to generate a response.

Learn more:

include
enum<string>[] | null

Specify additional output data to include in the model response. Currently supported values are:

  • web_search_call.action.sources: Include the sources of the web search tool call.
  • code_interpreter_call.outputs: Includes the outputs of python code execution in code interpreter tool call items.
  • computer_call_output.output.image_url: Include image urls from the computer call output.
  • file_search_call.results: Include the search results of the file search tool call.
  • message.input_image.image_url: Include image urls from the input message.
  • message.output_text.logprobs: Include logprobs with assistant messages.
  • reasoning.encrypted_content: Includes an encrypted version of reasoning tokens in reasoning item outputs. This enables reasoning items to be used in multi-turn conversations when using the Responses API statelessly (like when the store parameter is set to false, or when an organization is enrolled in the zero data retention program).

Specify additional output data to include in the model response. Currently supported values are:

  • web_search_call.results: Include the search results of the web search tool call.
  • web_search_call.action.sources: Include the sources of the web search tool call.
  • code_interpreter_call.outputs: Includes the outputs of python code execution in code interpreter tool call items.
  • computer_call_output.output.image_url: Include image urls from the computer call output.
  • file_search_call.results: Include the search results of the file search tool call.
  • message.input_image.image_url: Include image urls from the input message.
  • message.output_text.logprobs: Include logprobs with assistant messages.
  • reasoning.encrypted_content: Includes an encrypted version of reasoning tokens in reasoning item outputs. This enables reasoning items to be used in multi-turn conversations when using the Responses API statelessly (like when the store parameter is set to false, or when an organization is enrolled in the zero data retention program).
利用可能なオプション:
file_search_call.results,
web_search_call.results,
web_search_call.action.sources,
message.input_image.image_url,
computer_call_output.output.image_url,
code_interpreter_call.outputs,
reasoning.encrypted_content,
message.output_text.logprobs
parallel_tool_calls
boolean | null
デフォルト:true

Whether to allow the model to run tool calls in parallel.

store
boolean | null
デフォルト:true

Whether to store the generated model response for later retrieval via API.

instructions
string | null

A system (or developer) message inserted into the model's context.

When using along with previous_response_id, the instructions from a previous response will not be carried over to the next response. This makes it simple to swap out system (or developer) messages in new responses.

stream
boolean | null
デフォルト:false

If set to true, the model response data will be streamed to the client as it is generated using server-sent events. See the Streaming section below for more information.

stream_options
object

Options for streaming responses. Only set this when you set stream: true.

conversation

The conversation that this response belongs to. Items from this conversation are prepended to input_items for this response request. Input items and output items from this response are automatically added to this conversation after this response completes.

context_management
object[] | null

Context management configuration for this request.

Minimum array length: 1
max_output_tokens
integer | null

An upper bound for the number of tokens that can be generated for a response, including visible output tokens and reasoning tokens.

必須範囲: x >= 16
top_k
integer

Top-K sampling — only the K highest-probability tokens are considered. Passed through to Anthropic (pre-Claude-Opus-4.6) / Gemini / Vertex / Cohere. Ignored by OpenAI / Azure.

必須範囲: x >= 0

レスポンス

OK

id
string
必須

Unique identifier for this Response.

object
enum<string>
必須

The object type of this resource - always set to response.

利用可能なオプション:
response
created_at
number<unixtime>
必須

Unix timestamp (in seconds) of when this Response was created.

error
object
必須

An error object returned when the model fails to generate a Response.

incomplete_details
object
必須

Details about why the response is incomplete.

output
Output message · object · File search tool call · object · Function tool call · object · Function tool call output · object · Web search tool call · object · Computer tool call · object · Computer tool call output · object · Reasoning · object · object · object · Compaction item · object · Image generation call · object · Code interpreter tool call · object · Local shell call · object · Local shell call output · object · Shell tool call · object · Shell call output · object · Apply patch tool call · object · Apply patch tool call output · object · MCP tool call · object · MCP list tools · object · MCP approval request · object · MCP approval response · object · Custom tool call · object · ResponseCustomToolCallOutputItem · object[]
必須

An array of content items generated by the model.

  • The length and order of items in the output array is dependent on the model's response.
  • Rather than accessing the first item in the output array and assuming it's an assistant message with the content generated by the model, you might consider using the output_text property where supported in SDKs.

An output message from the model.

instructions
必須

A system (or developer) message inserted into the model's context.

When using along with previous_response_id, the instructions from a previous response will not be carried over to the next response. This makes it simple to swap out system (or developer) messages in new responses.

parallel_tool_calls
boolean
デフォルト:true
必須

Whether to allow the model to run tool calls in parallel.

metadata
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

top_logprobs
integer | null

An integer between 0 and 20 specifying the maximum number of most likely tokens to return at each token position, each with an associated log probability. In some cases, the number of returned tokens may be fewer than requested.

必須範囲: 0 <= x <= 20
temperature
number | null
デフォルト:1

What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. We generally recommend altering this or top_p but not both.

必須範囲: 0 <= x <= 2
:

1

top_p
number | null
デフォルト:1

An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.

We generally recommend altering this or temperature but not both.

必須範囲: 0 <= x <= 1
:

1

user
string
非推奨

This field is being replaced by safety_identifier and prompt_cache_key. Use prompt_cache_key instead to maintain caching optimizations. A stable identifier for your end-users. Used to boost cache hit rates by better bucketing similar requests and to help OpenAI detect and prevent abuse. Learn more.

:

"user-1234"

safety_identifier
string

A stable identifier used to help detect users of your application that may be violating OpenAI's usage policies. The IDs should be a string that uniquely identifies each user, with a maximum length of 64 characters. We recommend hashing their username or email address, in order to avoid sending us any identifying information. Learn more.

Maximum string length: 64
:

"safety-identifier-1234"

prompt_cache_key
string

Used by OpenAI to cache responses for similar requests to optimize your cache hit rates. Replaces the user field. Learn more.

:

"prompt-cache-key-1234"

service_tier
enum<string> | null
デフォルト:auto

Specifies the processing type used for serving the request.

  • If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'.
  • If set to 'default', then the request will be processed with the standard pricing and performance for the selected model.
  • If set to 'flex' or 'priority', then the request will be processed with the corresponding service tier.
  • When not set, the default behavior is 'auto'.

When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.

利用可能なオプション:
auto,
default,
flex,
scale,
priority
prompt_cache_retention
enum<string> | null

The retention policy for the prompt cache. Set to 24h to enable extended prompt caching, which keeps cached prefixes active for longer, up to a maximum of 24 hours. Learn more.

利用可能なオプション:
in_memory,
24h
previous_response_id
string | null

The unique ID of the previous response to the model. Use this to create multi-turn conversations. Learn more about conversation state. Cannot be used in conjunction with conversation.

model

Model ID used to generate the response, like gpt-4o or o3. OpenAI offers a wide range of models with different capabilities, performance characteristics, and price points. Refer to the model guide to browse and compare available models.

:

"gpt-5.1"

reasoning
Reasoning · object

gpt-5 and o-series models only

Configuration options for reasoning models.

background
boolean | null
デフォルト:false

Whether to run the model response in the background. Learn more.

max_tool_calls
integer | null

The maximum number of total calls to built-in tools that can be processed in a response. This maximum number applies across all built-in tool calls, not per individual tool. Any further attempts to call a tool by the model will be ignored.

text
object

Configuration options for a text response from the model. Can be plain text or structured JSON data. Learn more:

tools
(Function · object | File search · object | Computer · object | Computer use preview · object | Web search · object | MCP tool · object | Code interpreter · object | Image generation tool · object | Local shell tool · object | Shell tool · object | Custom tool · object | Namespace · object | Tool search tool · object | Web search preview · object | Apply patch tool · object)[]

An array of tools the model may call while generating a response. You can specify which tool to use by setting the tool_choice parameter.

We support the following categories of tools:

  • Built-in tools: Tools that are provided by OpenAI that extend the model's capabilities, like web search or file search. Learn more about built-in tools.
  • MCP Tools: Integrations with third-party systems via custom MCP servers or predefined connectors such as Google Drive and SharePoint. Learn more about MCP Tools.
  • Function calls (custom tools): Functions that are defined by you, enabling the model to call your own code with strongly typed arguments and outputs. Learn more about function calling. You can also use custom tools to call your own code.

A tool that can be used to generate a response.

tool_choice

How the model should select which tool (or tools) to use when generating a response. See the tools parameter to see how to specify which tools the model can call.

利用可能なオプション:
none,
auto,
required
prompt
object

Reference to a prompt template and its variables. Learn more.

truncation
enum<string> | null
デフォルト:disabled

The truncation strategy to use for the model response.

  • auto: If the input to this Response exceeds the model's context window size, the model will truncate the response to fit the context window by dropping items from the beginning of the conversation.
  • disabled (default): If the input size will exceed the context window size for a model, the request will fail with a 400 error.
利用可能なオプション:
auto,
disabled
status
enum<string>

The status of the response generation. One of completed, failed, in_progress, cancelled, queued, or incomplete.

利用可能なオプション:
completed,
failed,
in_progress,
cancelled,
queued,
incomplete
completed_at
number<unixtime> | null

Unix timestamp (in seconds) of when this Response was completed. Only present when the status is completed.

output_text
string | null

SDK-only convenience property that contains the aggregated text output from all output_text items in the output array, if any are present. Supported in the Python and JavaScript SDKs.

usage
object

Represents token usage details including input tokens, output tokens, a breakdown of output tokens, and the total tokens used.

conversation
Conversation · object

The conversation that this response belonged to. Input items and output items from this response were automatically added to this conversation.

max_output_tokens
integer | null

An upper bound for the number of tokens that can be generated for a response, including visible output tokens and reasoning tokens.